org.apache.ignite.internal.processors.rest.client.message

## Enum GridClientCacheRequest.GridCacheOperation

- java.lang.Object
- - java.lang.Enum<GridClientCacheRequest.GridCacheOperation>
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientCacheRequest.GridCacheOperation

All Implemented Interfaces:
  Serializable, Comparable<GridClientCacheRequest.GridCacheOperation>

Enclosing class:
  GridClientCacheRequest

    public static enum GridClientCacheRequest.GridCacheOperation
    extends Enum<GridClientCacheRequest.GridCacheOperation>

Available cache operations.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPEND` Append requested value to already cached one.
`CAS` Cache compare and set.
`GET` Cache get.
`GET_ALL` Cache get all.
`METRICS` Cache metrics request.
`PREPEND` Prepend requested value to already cached one.
`PUT` Cache put.
`PUT_ALL` Cache put all.
`REPLACE` Cache replace (put only if exists).
`RMV` Cache remove.
`RMV_ALL` Cache remove all.

### Method Summary

Methods
`static GridClientCacheRequest.GridCacheOperation` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static GridClientCacheRequest.GridCacheOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridClientCacheRequest.GridCacheOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUT

    public static final GridClientCacheRequest.GridCacheOperation PUT

Cache put.

#### PUT_ALL

    public static final GridClientCacheRequest.GridCacheOperation PUT_ALL

Cache put all.

#### GET

    public static final GridClientCacheRequest.GridCacheOperation GET

Cache get.

#### GET_ALL

    public static final GridClientCacheRequest.GridCacheOperation GET_ALL

Cache get all.

#### RMV

    public static final GridClientCacheRequest.GridCacheOperation RMV

Cache remove.

#### RMV_ALL

    public static final GridClientCacheRequest.GridCacheOperation RMV_ALL

Cache remove all.

#### REPLACE

    public static final GridClientCacheRequest.GridCacheOperation REPLACE

Cache replace (put only if exists).

#### CAS

    public static final GridClientCacheRequest.GridCacheOperation CAS

Cache compare and set.

#### METRICS

    public static final GridClientCacheRequest.GridCacheOperation METRICS

Cache metrics request.

#### APPEND

    public static final GridClientCacheRequest.GridCacheOperation APPEND

Append requested value to already cached one.

#### PREPEND

    public static final GridClientCacheRequest.GridCacheOperation PREPEND

Prepend requested value to already cached one.

### Method Detail

#### values

    public static GridClientCacheRequest.GridCacheOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridClientCacheRequest.GridCacheOperation c : GridClientCacheRequest.GridCacheOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridClientCacheRequest.GridCacheOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridClientCacheRequest.GridCacheOperation fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017